INSTALLDEB-MYSPELL(1)

NAME
installdeb-myspell - debhelper-like helper for Debian packages containing myspell/hunspell dictionaries or Openoffice.org thesauri/hyphenation files.

SYNOPSIS
 installdeb-myspell [--srcdir=dir] [options] [debhelper options]

DESCRIPTION
installdeb-myspell is a debhelper like program to help installing myspell/hunspell dicts as well as Openoffice.org thesauri or hyphenation files, after contents of an info-myspell file whose format is that for old Openoffice.org 2. This program may also create and install dictionaries in Chromium hunspell binary dic format (.bdic) if --bdic option is set. All this needs the --srcdir option enabled.

Note that unless --srcdir option this program will do nothing.

For more details, see /usr/share/doc/dictionaries-common/dsdt-policy.txt.

The actions executed by installdeb-myspell are the following (only some of them are done if not in o2 compatibility mode):

Maintainer Scripts
    installdeb-myspell installs the necessary scraps of code in the postinst and postrm scripts. No snippets are currently installed.

Language info file
    installdeb-myspell will look for a file named debian/info-myspell or debian/package.info-myspell. That file contains myspell/hunspell dictionary, OOO thesauri or hyphenation information with lines like

    TYPE LANG COUNTRY NAME

    A typical info-myspell file for a myspell/hunspell dictionary will contain something like

     # Spanish variants
     DICT es ES es_ES
     DICT es AR es_ES
     ...

    while will, for a typical hyphenation file, be something like

     # Danish hyphenation
     HYPH da DK hyph_da_DK

    or for a sample thesaurus,

     THES en US th_en_US

    all with no leading whitespace. Commented lines are allowed.

Dictionary, thesaurus and hyphenation files installation
    If the --srcdir=dir option is set installdeb-myspell will look for the .aff/.dic files in the directory specified by dir and install them in the default target directory ([tmpdir]/usr/share/hunspell). Base name will be extracted from the info-myspell file (last string in the line). If target dict uses the ancient Mozilla hyphen form, it will be renamed to the lowbar form on installation.

    Same (but the renaming) for hyphenation and thesaurus files, to be installed in [tmpdir]/usr/share/hyphen and [tmpdir]/usr/share/mythes.

    If --bdic option is set, dicts in Chromium hunspell binary dictionary format will also be created and installed. This requires /usr/lib/qt5/bin/qwebengine_convert_dict (from qt6-webengine-dev-tools package) be available.

    If --bdic-only option is set, only dicts in Chromium hunspell binary dictionary format (.bdic) will be handled and dic, hyphen and thesaurus disabled (even if they have entries in info-myspell file). Equivalent to --bdic --no-dic --no-hyphen --no-thesaurus.

    --no-{dic,hyphen,thesaurus} options are provided to disable handling of those files even if they have entries in info-myspell file. Mostly useful for testing.

    If --dc-keep is set, temporary files will be preserved once intallation is complete. Currently this only affects .bdic file.

    --bdic, --bdic-only and --no-{dic,hyphen,thesaurus} options require at least dictionaries-common-dev 1.29.0. --dc-clean requires at least dictionaries-common-dev 1.29.3.

Dictionaries alternative symlinks creation
    installdeb-myspell will, according to info extracted from the info-myspell, automatically set lang_COUNTRY symlinks to the dict files installed by installdeb-myspell. This will only be done when the --srcdir option is used.

    If --srcdir option is used and the info-myspell file contains something like

     # Spanish variants
     DICT es ES es
     DICT es AR es
     ...

    installdeb-myspell will automatically set es_ES and es_AR symlinks.

    If .bdic is enabled, associated symlinks will be set in the same way.

Mozilla spellchecker compatibility
    For myspell/hunspell dictionaries, Mozilla had a lang{,-COUNTRY} to names translation table using hyphens as separators (and for some languages not using country part at all) instead of lowbars.

    Shortly, that will no longer be the case. Mozilla will also accept lang_COUNTRY format for that translation table, no special things will be needed. In particular, do not duplicate entries in both lowbar and hyphen forms. Use lowbar.

Debconf files
    As opposed to installdeb-ispell and installdeb-wordlist, installdeb-myspell does nothing related to debconf files, not needed for myspell/hunspell dicts and OOO thesauri and hyphenation files. If you need to add debconf stuff with debhelper proceed in the usual way and call dh_installdebconf(1) as for any other package.

OPTIONS
--dico-debug Show some installdeb-myspell specific debugging info.
              Does not enable debhelper debug, you need to enable
              it separately.

--srcdir=dir Will look for .aff/.dic files in the specified directory
              for myspell/hunspell dict packages, for .dic files in
              Openoffice.org hyphenation packages and for .dat/.idx
              files in Openoffice.org thesaurus packages, installing
              them if present in the default target directory.
              Base name will be extracted from the info-myspell file.
              If this option is specified and files are not present an
              error will appear.

--dico-{no-}alt-links {Process/Do not process} alternative symlinks
              according to info found in the myspell info file.

--bdic Enable bdic handling.

--bdic-only Only enable .bdic handling, disable
              {dic,hyphen,thesaurus} installation.

--no-{dic,hyphen,thesaurus} Disable {dic,hyphen,thesaurus} handling.

The usual debhelper(7) options are accepted.

NOTES
This program is not part of debhelper, although depends on and is intended to work together with it.

SEE ALSO
debhelper(7)

This program is part of the dictionaries-common-dev package. It is intended for use by maintainers of packages containing myspell/hunspell dictionaries or Openoffice.org thesauri/hyphenation files. See the documentation under /usr/share/doc/dictionaries-common-dev.

AUTHORS
Rafael Laboissiere <rafael@debian.org>, Agustin Martin <agmartin@debian.org>